// trigtest.cpp : implementation file
//

#include "stdafx.h"
#include "mushclient.h"
#include "trigtest.h"

#ifdef _DEBUG
//#define new DEBUG_NEW
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTriggerTestDialog dialog


CTriggerTestDialog::CTriggerTestDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTriggerTestDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTriggerTestDialog)
	m_trigger_text = _T("");
	m_bIgnoreColours = FALSE;
	//}}AFX_DATA_INIT
}


void CTriggerTestDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTriggerTestDialog)
	DDX_Text(pDX, IDC_TEST_TRIGGER, m_trigger_text);
	DDX_Check(pDX, IDC_IGNORE_COLOURS, m_bIgnoreColours);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTriggerTestDialog, CDialog)
	//{{AFX_MSG_MAP(CTriggerTestDialog)
	ON_BN_CLICKED(IDC_HELPBUTTON, OnHelpbutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CTriggerTestDialog message handlers

void CTriggerTestDialog::OnHelpbutton() 
{
//  OnCmdMsg(ID_HELP, CN_COMMAND, NULL, NULL);
	App.WinHelp(m_nIDHelp + HID_BASE_RESOURCE);
}
